
Foreman - Bug #35634

Searchbar disappears when trying to select a bookmark as user without bookmark permissions
Status: Closed   

Priority: Normal   

Assignee: Maria Agaphontzev   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases: 3.1.3, 3.3.0, 3.3.1, 3.4.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9470

  

Description

If a user does not have some bookmark permissions but tries to use the bookmarks next to the searchbar the searchbar simply

disappers. When looking into the browser's developer tools you the a javascript error in the DropdownMenu.js.

To reproduce simple add a user and give it the role "Viewer", log in as or impersonate to the user, navigate to the host overview and

click on the bookmark symbol on the end of the searchbar.

To verify it has to do with permissions add the role "Bookmark Manager" to the user and it will start to work.

Probably it is related to https://projects.theforeman.org/issues/30387 as we found this only on versions after this change.

Associated revisions

Revision a98470cc - 10/26/2022 08:59 AM - Maria Agaphontzev

Fixes #35634 - searchbar crashes when no permissions

History

#1 - 10/19/2022 08:11 AM - Maria Agaphontzev

- Assignee set to Maria Agaphontzev

#2 - 10/19/2022 10:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9470 added

#3 - 10/26/2022 08:59 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#4 - 10/26/2022 09:01 AM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a98470ccfe7a1f7b013ed8888dc986ca19254e04.

#5 - 11/28/2022 12:17 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
